Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkEnSightReader Class Reference

`#include <vtkEnSightReader.h>`

Inheritance diagram for vtkEnSightReader:

[legend]
Collaboration diagram for vtkEnSightReader:

[legend]
List of all members.

## Detailed Description

superclass for EnSight file readers

Date:
  2002/09/01 13:03:05

Revision:
  1.20

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (82%)
  - Geveci, Berk (11%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkEnSightReader.cxx)`
  - .`h` (`/IO/vtkEnSightReader.h)`

Definition at line 43 of file vtkEnSightReader.h.

## Public Types
typedef vtkGenericEnSightReader | Superclass
enum | ElementTypesList { POINT = 0, BAR2 = 1, BAR3 = 2, NSIDED = 3, TRIA3 = 4, TRIA6 = 5, QUAD4 = 6, QUAD8 = 7, TETRA4 = 8, TETRA10 = 9, PYRAMID5 = 10, PYRAMID13 = 11, HEXA8 = 12, HEXA20 = 13, PENTA6 = 14, PENTA15 = 15 }
enum | VariableTypesList { SCALAR_PER_NODE = 0, VECTOR_PER_NODE = 1, TENSOR_SYMM_PER_NODE = 2, SCALAR_PER_ELEMENT = 3, VECTOR_PER_ELEMENT = 4, TENSOR_SYMM_PER_ELEMENT = 5, SCALAR_PER_MEASURED_NODE = 6, VECTOR_PER_MEASURED_NODE = 7, COMPLEX_SCALAR_PER_NODE = 8, COMPLEX_VECTOR_PER_NODE = 9, COMPLEX_SCALAR_PER_ELEMENT = 10, COMPLEX_VECTOR_PER_ELEMENT = 11 }
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Update ()
void | ExecuteInformation ()
void | ReplaceNthOutput (int n, vtkDataObject *output)
virtual int | GetOutputsAreValid ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkEnSightReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkEnSightReader ()
| ~vtkEnSightReader ()
void | Execute ()
int | ReadCaseFile ()
virtual int | ReadGeometryFile (char *fileName, int timeStep)=0
virtual int | ReadMeasuredGeometryFile (char *fileName, int timeStep)=0
int | ReadVariableFiles ()
virtual int | CreateUnstructuredGridOutput (int partId, char line[256])=0
virtual int | CreateStructuredGridOutput (int partId, char line[256])=0
void | AddVariableFileName (char *fileName1, char *fileName2=NULL)
void | AddVariableDescription (char *description)
void | AddVariableType ()
int | GetElementType (char *line)
void | ReplaceWildcards (char *filename, int num)
virtual void | SetUseTimeSets (int)
virtual int | GetUseTimeSets ()
virtual void | UseTimeSetsOn ()
virtual void | UseTimeSetsOff ()
virtual void | SetUseFileSets (int)
virtual int | GetUseFileSets ()
virtual void | UseFileSetsOn ()
virtual void | UseFileSetsOff ()
void | SetNumberOfOutputsInternal (int num)
int | CheckOutputConsistency ()
virtual int | ReadScalarsPerNode (char *fileName, char *description, int timeStep, int measured=0, int numberOfComponents=1, int component=0)=0
virtual int | ReadVectorsPerNode (char *fileName, char *description, int timeStep, int measured=0)=0
virtual int | ReadTensorsPerNode (char *fileName, char *description, int timeStep)=0
virtual int | ReadScalarsPerElement (char *fileName, char *description, int timeStep, int numberOfComponents=1, int component=0)=0
virtual int | ReadVectorsPerElement (char *fileName, char *description, int timeStep)=0
virtual int | ReadTensorsPerElement (char *fileName, char *description, int timeStep)=0
virtual void | SetGeometryFileName (const char *)
virtual char * | GetGeometryFileName ()
virtual void | SetMeasuredFileName (const char *)
virtual char * | GetMeasuredFileName ()
virtual void | SetMatchFileName (const char *)
virtual char * | GetMatchFileName ()
## Protected Attributes
int | CaseFileRead
char * | MeasuredFileName
char * | MatchFileName
vtkIdList *** | CellIds
vtkIdList * | UnstructuredPartIds
int | VariableMode
char ** | VariableFileNames
char ** | ComplexVariableFileNames
vtkIdList * | VariableTimeSetIds
vtkIdList * | ComplexVariableTimeSetIds
vtkIdList * | VariableFileSetIds
vtkIdList * | ComplexVariableFileSetIds
vtkIdListCollection * | TimeSetFileNameNumbers
vtkIdList * | TimeSetsWithFilenameNumbers
vtkIdListCollection * | FileSetFileNameNumbers
vtkIdList * | FileSetsWithFilenameNumbers
vtkIdListCollection * | FileSetNumberOfSteps
vtkIdList * | TimeSetIds
vtkIdList * | FileSets
int | GeometryTimeSet
int | GeometryFileSet
int | MeasuredTimeSet
int | MeasuredFileSet
float | GeometryTimeValue
float | MeasuredTimeValue
int | UseTimeSets
int | UseFileSets
int | NumberOfGeometryParts
int | NumberOfMeasuredPoints
vtkIdList * | MeasuredNodeIds
int | NumberOfNewOutputs
int | OutputsAreValid
int | InitialRead

## Member Typedef Documentation

typedef vtkGenericEnSightReader vtkEnSightReader::Superclass

| Reimplemented from vtkGenericEnSightReader. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader. Definition at line 46 of file vtkEnSightReader.h.

## Member Enumeration Documentation

enum vtkEnSightReader::ElementTypesList

  | Enumeration values:
  POINT |
  BAR2 |
  BAR3 |
  NSIDED |
  TRIA3 |
  TRIA6 |
  QUAD4 |
  QUAD8 |
  TETRA4 |
  TETRA10 |
  PYRAMID5 |
  PYRAMID13 |
  HEXA8 |
  HEXA20 |
  PENTA6 |
  PENTA15 |
Definition at line 53 of file vtkEnSightReader.h.

enum vtkEnSightReader::VariableTypesList

  | Enumeration values:
  SCALAR_PER_NODE |
  VECTOR_PER_NODE |
  TENSOR_SYMM_PER_NODE |
  SCALAR_PER_ELEMENT |
  VECTOR_PER_ELEMENT |
  TENSOR_SYMM_PER_ELEMENT |
  SCALAR_PER_MEASURED_NODE |
  VECTOR_PER_MEASURED_NODE |
  COMPLEX_SCALAR_PER_NODE |
  COMPLEX_VECTOR_PER_NODE |
  COMPLEX_SCALAR_PER_ELEMENT |
  COMPLEX_VECTOR_PER_ELEMENT |
Definition at line 73 of file vtkEnSightReader.h.

## Constructor & Destructor Documentation

vtkEnSightReader::vtkEnSightReader | ( |  | ) | `[protected]`

vtkEnSightReader::~vtkEnSightReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkEnSightReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkGenericEnSightReader. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

int vtkEnSightReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkGenericEnSightReader. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

virtual int vtkEnSightReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkGenericEnSightReader. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

vtkEnSightReader* vtkEnSightReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkGenericEnSightReader. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

void vtkEnSightReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkGenericEnSightReader. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

void vtkEnSightReader::Update | ( |  | ) | `[virtual]`

| Bring object up-to-date before execution. Update() checks modified time against last execution time, and re-executes object if necessary. Reimplemented from vtkGenericEnSightReader.

void vtkEnSightReader::ExecuteInformation | ( |  | ) | `[virtual]`

| Reimplemented from vtkGenericEnSightReader.

void vtkEnSightReader::ReplaceNthOutput | ( | int | n,
|  | vtkDataObject * | output
| ) |

| This method sets/replaces one of the outputs of the reader without changing it's modification time. Make sure that you pass the right type of data object.

virtual int vtkEnSightReader::GetOutputsAreValid | ( |  | ) | `[virtual]`

| OutputsAreValid indicates whether the outputs from this reader have changed in a consistent way. If during re-reading (because of a change in time step or data set) the number of outputs becomes less than the current number or the type of a particular output changes (e.g., from vtkUnstructuredGrid to vtkImageData), then this flag is set to 0. Otherwise it is set to 1.

void vtkEnSightReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkGenericEnSightReader.

int vtkEnSightReader::ReadCaseFile | ( |  | ) | `[protected]`

| Read the case file. If an error occurred, 0 is returned; otherwise 1.

virtual int vtkEnSightReader::ReadGeometryFile | ( | char * | fileName,
|  | int | timeStep
| ) | `[protected, pure virtual]`

| Read the geometry file. If an error occurred, 0 is returned; otherwise 1. Implemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

virtual int vtkEnSightReader::ReadMeasuredGeometryFile | ( | char * | fileName,
|  | int | timeStep
| ) | `[protected, pure virtual]`

| Read the measured geometry file. If an error occurred, 0 is returned; otherwise 1. Implemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

int vtkEnSightReader::ReadVariableFiles | ( |  | ) | `[protected]`

| Read the variable files. If an error occurred, 0 is returned; otherwise 1.

virtual int vtkEnSightReader::ReadScalarsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | measured = 0,
|  | int | numberOfComponents = 1,
|  | int | component = 0
| ) | `[protected, pure virtual]`

| Read scalars per node for this dataset. If an error occurred, 0 is returned; otherwise 1. Implemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

virtual int vtkEnSightReader::ReadVectorsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | measured = 0
| ) | `[protected, pure virtual]`

| Read vectors per node for this dataset. If an error occurred, 0 is returned; otherwise 1. Implemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

virtual int vtkEnSightReader::ReadTensorsPerNode | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, pure virtual]`

| Read tensors per node for this dataset. If an error occurred, 0 is returned; otherwise 1. Implemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

virtual int vtkEnSightReader::ReadScalarsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep,
|  | int | numberOfComponents = 1,
|  | int | component = 0
| ) | `[protected, pure virtual]`

| Read scalars per element for this dataset. If an error occurred, 0 is returned; otherwise 1. Implemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

virtual int vtkEnSightReader::ReadVectorsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, pure virtual]`

| Read vectors per element for this dataset. If an error occurred, 0 is returned; otherwise 1. Implemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

virtual int vtkEnSightReader::ReadTensorsPerElement | ( | char * | fileName,
|  | char * | description,
|  | int | timeStep
| ) | `[protected, pure virtual]`

| Read tensors per element for this dataset. If an error occurred, 0 is returned; otherwise 1. Implemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

virtual int vtkEnSightReader::CreateUnstructuredGridOutput | ( | int | partId,
|  | char | line[256]
| ) | `[protected, pure virtual]`

| Read an unstructured part (partId) from the geometry file and create a vtkUnstructuredGrid output. Return 0 if EOF reached. Implemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, and vtkEnSightGoldReader.

virtual int vtkEnSightReader::CreateStructuredGridOutput | ( | int | partId,
|  | char | line[256]
| ) | `[protected, pure virtual]`

| Read a structured part from the geometry file and create a vtkStructuredGridOutput. Return 0 if EOF reached. Implemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, and vtkEnSightGoldReader.

virtual void vtkEnSightReader::SetGeometryFileName | ( | const char * |  | ) | `[protected, virtual]`

| Set/Get the Model file name. Reimplemented from vtkGenericEnSightReader. Reimplemented in vtkEnSightGoldReader.

virtual char* vtkEnSightReader::GetGeometryFileName | ( |  | ) | `[protected, virtual]`

| Set/Get the Model file name. Reimplemented from vtkGenericEnSightReader. Reimplemented in vtkEnSightGoldReader.

virtual void vtkEnSightReader::SetMeasuredFileName | ( | const char * |  | ) | `[protected, virtual]`

| Set/Get the Measured file name. Reimplemented in vtkEnSightGoldReader.

virtual char* vtkEnSightReader::GetMeasuredFileName | ( |  | ) | `[protected, virtual]`

| Set/Get the Measured file name. Reimplemented in vtkEnSightGoldReader.

virtual void vtkEnSightReader::SetMatchFileName | ( | const char * |  | ) | `[protected, virtual]`

| Set/Get the Match file name. Reimplemented in vtkEnSightGoldReader.

virtual char* vtkEnSightReader::GetMatchFileName | ( |  | ) | `[protected, virtual]`

| Set/Get the Match file name. Reimplemented in vtkEnSightGoldReader.

void vtkEnSightReader::AddVariableFileName | ( | char * | fileName1,
|  | char * | fileName2 = NULL
| ) | `[protected]`

| Add another file name to the list for a particular variable type.

void vtkEnSightReader::AddVariableDescription | ( | char * | description | ) | `[protected]`

| Add another description to the list for a particular variable type. Reimplemented from vtkGenericEnSightReader.

void vtkEnSightReader::AddVariableType | ( |  | ) | `[protected]`

| Record the variable type for the variable line just read.

int vtkEnSightReader::GetElementType | ( | char * | line | ) | `[protected]`

| Determine the element type from a line read a file. Return -1 for invalid element type.

void vtkEnSightReader::ReplaceWildcards | ( | char * | filename,
|  | int | num
| ) | `[protected]`

| Replace the *'s in the filename with the given filename number.

virtual void vtkEnSightReader::SetUseTimeSets | ( | int |  | ) | `[protected, virtual]`

virtual int vtkEnSightReader::GetUseTimeSets | ( |  | ) | `[protected, virtual]`

virtual void vtkEnSightReader::UseTimeSetsOn | ( |  | ) | `[protected, virtual]`

virtual void vtkEnSightReader::UseTimeSetsOff | ( |  | ) | `[protected, virtual]`

virtual void vtkEnSightReader::SetUseFileSets | ( | int |  | ) | `[protected, virtual]`

virtual int vtkEnSightReader::GetUseFileSets | ( |  | ) | `[protected, virtual]`

virtual void vtkEnSightReader::UseFileSetsOn | ( |  | ) | `[protected, virtual]`

virtual void vtkEnSightReader::UseFileSetsOff | ( |  | ) | `[protected, virtual]`

void vtkEnSightReader::SetNumberOfOutputsInternal | ( | int | num | ) | `[protected]`

int vtkEnSightReader::CheckOutputConsistency | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkEnSightReader::CaseFileRead`[protected]`

| Definition at line 116 of file vtkEnSightReader.h.

char* vtkEnSightReader::MeasuredFileName`[protected]`

| Definition at line 217 of file vtkEnSightReader.h.

char* vtkEnSightReader::MatchFileName`[protected]`

| Definition at line 218 of file vtkEnSightReader.h.

vtkIdList*** vtkEnSightReader::CellIds`[protected]`

| Definition at line 221 of file vtkEnSightReader.h.

vtkIdList* vtkEnSightReader::UnstructuredPartIds`[protected]`

| Definition at line 224 of file vtkEnSightReader.h.

int vtkEnSightReader::VariableMode`[protected]`

| Definition at line 226 of file vtkEnSightReader.h.

char** vtkEnSightReader::VariableFileNames`[protected]`

| Definition at line 229 of file vtkEnSightReader.h.

char** vtkEnSightReader::ComplexVariableFileNames`[protected]`

| Definition at line 230 of file vtkEnSightReader.h.

vtkIdList* vtkEnSightReader::VariableTimeSetIds`[protected]`

| Definition at line 233 of file vtkEnSightReader.h.

vtkIdList* vtkEnSightReader::ComplexVariableTimeSetIds`[protected]`

| Definition at line 234 of file vtkEnSightReader.h.

vtkIdList* vtkEnSightReader::VariableFileSetIds`[protected]`

| Definition at line 237 of file vtkEnSightReader.h.

vtkIdList* vtkEnSightReader::ComplexVariableFileSetIds`[protected]`

| Definition at line 238 of file vtkEnSightReader.h.

vtkIdListCollection* vtkEnSightReader::TimeSetFileNameNumbers`[protected]`

| Definition at line 241 of file vtkEnSightReader.h.

vtkIdList* vtkEnSightReader::TimeSetsWithFilenameNumbers`[protected]`

| Definition at line 242 of file vtkEnSightReader.h.

vtkIdListCollection* vtkEnSightReader::FileSetFileNameNumbers`[protected]`

| Definition at line 245 of file vtkEnSightReader.h.

vtkIdList* vtkEnSightReader::FileSetsWithFilenameNumbers`[protected]`

| Definition at line 246 of file vtkEnSightReader.h.

vtkIdListCollection* vtkEnSightReader::FileSetNumberOfSteps`[protected]`

| Definition at line 249 of file vtkEnSightReader.h.

vtkIdList* vtkEnSightReader::TimeSetIds`[protected]`

| Definition at line 252 of file vtkEnSightReader.h.

vtkIdList* vtkEnSightReader::FileSets`[protected]`

| Definition at line 253 of file vtkEnSightReader.h.

int vtkEnSightReader::GeometryTimeSet`[protected]`

| Definition at line 255 of file vtkEnSightReader.h.

int vtkEnSightReader::GeometryFileSet`[protected]`

| Definition at line 256 of file vtkEnSightReader.h.

int vtkEnSightReader::MeasuredTimeSet`[protected]`

| Definition at line 257 of file vtkEnSightReader.h.

int vtkEnSightReader::MeasuredFileSet`[protected]`

| Definition at line 258 of file vtkEnSightReader.h.

float vtkEnSightReader::GeometryTimeValue`[protected]`

| Definition at line 260 of file vtkEnSightReader.h.

float vtkEnSightReader::MeasuredTimeValue`[protected]`

| Definition at line 261 of file vtkEnSightReader.h.

int vtkEnSightReader::UseTimeSets`[protected]`

| Definition at line 263 of file vtkEnSightReader.h.

int vtkEnSightReader::UseFileSets`[protected]`

| Definition at line 268 of file vtkEnSightReader.h.

int vtkEnSightReader::NumberOfGeometryParts`[protected]`

| Definition at line 273 of file vtkEnSightReader.h.

int vtkEnSightReader::NumberOfMeasuredPoints`[protected]`

| Definition at line 278 of file vtkEnSightReader.h.

vtkIdList* vtkEnSightReader::MeasuredNodeIds`[protected]`

| Definition at line 279 of file vtkEnSightReader.h.

int vtkEnSightReader::NumberOfNewOutputs`[protected]`

| Definition at line 281 of file vtkEnSightReader.h.

int vtkEnSightReader::OutputsAreValid`[protected]`

| Definition at line 282 of file vtkEnSightReader.h.

int vtkEnSightReader::InitialRead`[protected]`

| Definition at line 283 of file vtkEnSightReader.h.

The documentation for this class was generated from the following file:

- IO/vtkEnSightReader.h